using System;
using System.Data;
using System.Data.Odbc;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class AJAXSearch : System.Web.UI.Page{
    protected void btnClicked(object sender, EventArgs e){
        int count = 0;
        try{
            OdbcConnection Connection = new OdbcConnection(ConnectionString.GetConnectionString());
            Connection.Open();
            OdbcCommand command = new OdbcCommand("SELECT firstname,lastname,email,id FROM people WHERE (CONCAT(firstname,' ',lastname,' ',email) LIKE ?); ", Connection);
            command.Parameters.AddWithValue("@pattern", "%" + txtSearch.Text + "%");
            OdbcDataReader records = command.ExecuteReader();
            while (records.Read())
            {
                TableRow tr = new TableRow();
                for (int i=0; i<4; i++) {
                    TableCell tc = new TableCell();
                    tc.Text = records[i].ToString();
                    tr.Cells.Add(tc);
                }            
                tblResults.Rows.Add(tr);
                count++;
            }
            Connection.Close();
        }
        catch (Exception ex){
        }
        resCount.Text = count.ToString() + " search results";
    }
}
