﻿var xmlHttp;

function createXMLHttpRequest() {
  if (window.ActiveXObject) {
    return new ActiveXObject("Microsoft.XMLHTTP");
  } else if (window.XMLHttpRequest) {
    return new XMLHttpRequest();
  }
}

function do_liveSearch(pattern) {
  xmlHttp = createXMLHttpRequest();
  xmlHttp.onreadystatechange = handleStateChange;
  xmlHttp.open("GET",document.URL.substring(0,document.URL.lastIndexOf("/"))+"/SearchService.aspx?pattern="+pattern, true);
  xmlHttp.send(null);
}

function handleStateChange() {
  if(xmlHttp.readyState == 4) {
    if(xmlHttp.status == 200) {
      updatePage();
    } else {
      alert("Status "+xmlHttp.status);
    }
  }
}

function buildItalic(text) {
  var italic = document.createElement("i");
  italic.appendChild(document.createTextNode(text));
  return italic;
}

function updatePage() {
  var resultsHTML = document.getElementById("liveSearchResults");
  while(resultsHTML.childNodes.length > 0) {
     resultsHTML.removeChild(resultsHTML.childNodes[0]);
  }
  var xmlDoc = xmlHttp.responseXML;
  var patternNode = xmlDoc.getElementsByTagName("pattern")[0];
  var pattern = "";
  if (patternNode.hasChildNodes()) {
    pattern=patternNode.childNodes[0].nodeValue;
  }
  var matchcount = xmlDoc.getElementsByTagName("matchcount")[0].childNodes[0].nodeValue;
  resultsHTML.appendChild(document.createTextNode("Search for '"));
  resultsHTML.appendChild(document.createTextNode(pattern));
  if (matchcount == 0) {
    resultsHTML.appendChild(document.createTextNode("' lead to no matches."));
  } else {
    resultsHTML.appendChild(document.createTextNode("' lead to "+matchcount+" matches."));
    if (matchcount <=5 ) {
      resultsHTML.appendChild(document.createTextNode(" Showing all matches."));
	  resultsHTML.appendChild(document.createElement("br"));
    }
  }
  resultsHTML.appendChild(document.createElement("br"));
  var studentlist = xmlDoc.getElementsByTagName("student");
  for (var i=0; i<studentlist.length; i++){
    var firstname = studentlist[i].attributes.getNamedItem("firstname").nodeValue;
    var lastname = studentlist[i].attributes.getNamedItem("lastname").nodeValue;
    var email = studentlist[i].attributes.getNamedItem("email").nodeValue;
    resultsHTML.appendChild(document.createTextNode(firstname+' '+lastname+", "));
    resultsHTML.appendChild(buildItalic(email));
    resultsHTML.appendChild(document.createElement("br"));
  }
}